<?php
// This check fixes wp-config being included twice on some server
if (!defined('DB_HOST')) {
	if (file_exists('../../../../wp-load.php')) require_once('../../../../wp-load.php');
	elseif (file_exists('../../../../../wp-load.php' )) require_once('../../../../../wp-load.php');
	elseif (file_exists('../../../../../../wp-load.php' )) require_once('../../../../../../wp-load.php');
	elseif (file_exists('../../../../../../../wp-load.php' )) require_once('../../../../../../../wp-load.php');
	elseif (file_exists('../../../../../../../../wp-load.php' )) require_once('../../../../../../../../wp-load.php');
	else echo 'Unable to locate WP configuration';
}

$host = DB_HOST;
$username = DB_USER; // Mysql username 
$password = DB_PASSWORD; // Mysql password 
$db_name = DB_NAME; // Database name 

if (!defined('DONOTCACHEPAGE')) {
	define("DONOTCACHEPAGE", true);
}

try {
	$db = new PDO('mysql:host='.$host.';dbname='.$db_name.';charset=utf8', $username , $password,
	              array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION)
	              );
} catch (PDOException $e) {
	try {
    
        $host = str_replace(':3306','',$host);
        $host = str_replace(':','',$host);
        $db = new PDO('mysql:host='.$host.';dbname='.$db_name.';charset=utf8', $username , $password,
                      array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION)
                      );
	} 
	catch (PDOException $e) {
		echo 'Connection failed: ' . $e->getMessage();
        $db_error = $e;
	}  
}            
?>